#!/bin/csh -f

set path = (/Volumes/CARVE/tools-src $path)
yes "*** FILLER ****" | dd bs=512 count=128 of=/tmp/fill.dd >& /dev/null
yes "Z" | tr -d '\n'| dd bs=512 count=128 of=/tmp/z.dd >& /dev/null
dd bs=512 count=128 if=/dev/zero of=/tmp/zero.dd >& /dev/null
dd bs=512 count=128 if=/dev/random of=/tmp/random.dd >& /dev/null

set img = /tmp/base-image.dd
set dir = $1

touch $img

@ cnt = 0
set size_list = (0 1 2 4 8 16 32 64 128)
set fill_list = ("fill.dd" "z.dd" "zero.dd" "random.dd" "z.dd")
#block-cat.py bn.xxx >> test-image-1.dd
#set flist = `ls $dir`
#echo $flist
#foreach file ($flist)
#	block-cat.py $dir/$file >> $img
#	cat /tmp/fill.txt >> $img
#end

set f_list = (`ls $dir | egrep -v '(\.txt)|(\.csh)|(\.dd)'`)
foreach file ($f_list)
	@ ix = ($cnt % 9) + 1
	@ jx = ($cnt % 5) + 1
	echo "$file size $ix $size_list[$ix], pattern $jx $fill_list[$jx]"
	block-cat.py $dir/$file >> $img
	dd if=/tmp/$fill_list[$jx] bs=512 count=$size_list[$ix] >> $img
	@ cnt = $cnt + 1
end
