#!/usr/bin/python
import hashlib
import sys
import os

#	extract JPG embedded thumbnails
#	send output to thumb-argv
ver = "@(#) xthumb.py Version 1.3 created 05/02/13 at 08:07:29"

if not os.access('/tmp/ex-thumbs',os.F_OK):
	os.mkdir('/tmp/ex-thumbs')
for file_name in sys.argv[1:]:
	if file_name.split('.')[-1].lower() != 'jpg': continue
	f = open (file_name,"rb")
	block = f.read()
	n = len(block) - 1
	i = 1
	looking_for_start = True
	looking_for_end = False
	cnt = 1
	while i < n:
		if looking_for_start:
			if block[i] == '\xff' and block[i+1] == '\xd8':
				looking_for_start = False
				looking_for_end = True
				start = i
		if looking_for_end:
			if block[i] == '\xff' and block[i+1] == '\xd9':
				looking_for_end = False
				looking_for_start = True
				end = i + 1
				m = hashlib.md5()
				m.update(block[start:end+1])
				print "Thumb %d for %s found at %d(%X):%d(%X) <%d> %s"%(cnt,file_name,start,start,end,end,end+1-start,m.hexdigest())
				tpath = file_name.split('/')
				last_name = 'thumb_%d_'%(cnt)+tpath.pop()
				cnt += 1
				tname = '/tmp/ex-thumbs/'+last_name
#				tpath.append(last_name)
#				tname = '/'.join(tpath)
				t = open (tname,"wb")
				t.write(block[start:end+1])
		i = i + 1
	print "XT %s %d"%(file_name,cnt - 1)
sys.stderr.write (ver+'\n')
