#!/bin/csh -f

set path = (/Volumes/CARVE/tools-src $path)


if ($#argv != 2) then
	echo "Usage: prefix data-set-path"
	exit 0
endif
set img = /tmp/video-nofill.dd
set img = /tmp/nofill.dd
set prefix = $1
set dir = $2
set suffix = `date +_%y%m%d%H%M`
set img = /tmp/$prefix-nofill$suffix.dd
set log = /tmp/$prefix-nofill$suffix-log.txt
set dlist = (`ls /tmp | grep $prefix-nofill`)
#if (-e $img) /bin/rm $img
if ($#dlist > 0) then
	echo "Delete $dlist"
	foreach f ($dlist)
		/bin/rm /tmp/$f
	end
endif

dd bs=512 count=1 if=/dev/zero of=$img >& /dev/null


@ cnt = 0
set f_list = (`ls $dir | egrep -v '(\.txt)|(\.csh)|(\.dd)'`)
echo "Files: " $f_list > $log
echo "=======================" >> $log
foreach fx ($f_list)

	set file = $dir/$fx

#	echo "COPY FILE $file from $dir"
	set x = `stat -f '%z' $img`
	set bsize = `echo "$x/512" | bc`
#	echo "$file $x ($sec)"
	block-cat.py $file >> $img
	set after = `stat -f '%z' $img`
	set asize = `echo "$after/512" | bc`
	set gain = `echo "$asize - $bsize" | bc`

	block-cat.py $file > /tmp/delta.dd
	set dx = `stat -f '%z' /tmp/delta.dd`
	set dsize = `echo "$dx/512" | bc`
	echo "$fx $x before $bsize, after $asize, gain $gain, delta $dsize" >> $log

	@ cnt = $cnt + 1
end
