#!/bin/csh -f

# Evaluate tool results
#
# input is a data-set-profile, an image-file & result dir
#
#	usage: eval-result.csh tool-name-and-version data-set-dir image-file results-dir
#
#	output: one file -- image-profile
#
#echo "@(#) eval-result.csh Version 1.6 created 06/07/13 at 10:09:02"
set cur_rel = `sed < current_rel.py -e 's/.*= //' | tr -d "'"`
echo "@(#) eval-result.csh Version 1.6 created 06/07/13 at 10:09:02 (Release $cur_rel)"

if ($#argv != 4) then
	echo "Usage: $0 tool_name_and_version data-set-dir image_file.dd result_directory"
	exit (0)
endif

set tool_ver = $1
set dir = $2
set img = $3
set res = $4

if ( !(-d $dir)) then
	echo $dir " is not a directory"
	exit(1)
endif

if ( !(-d $res)) then
	echo $res " is not a directory"
	exit(1)
endif

#ls $dir
if $dir:t == "" then
	set dir = $dir:h
endif

set p_file = $dir/$dir:t-profile.txt
set t_file = $dir/$dir:t-thumbs.txt
set i_file = $dir/$img:r:t-ip.txt
#echo $i_file

#xip.py $i_file
(scan-result.py $tool_ver $p_file $t_file $img $i_file $res/* > /tmp/Analysis-$tool_ver.txt ) >& /tmp/error-log-scan-result.txt
### outdated ###profile-result.py $tool_ver $p_file $t_file $img $res/*
