#!/usr/bin/python
import hashlib
import sys
import os

#	extract results summary tables and merge
#
# the tool name should be formatted: name_version
# the "_" is used to split off the version
#
ver = "@(#) xsummary.py Version 1.1 created 04/08/13 at 07:54:37"

t = ["Tool","Version"]
#t = ["Tool","Version",
#	"N Exact Match", "N Redundent Match", "N Complete Plus", "N Incomplete", "N Thumbs",
#	"N Multiple", "N Valid Start", "N With Some Noise", "N Carved"]
r = []
seen = set()
if not os.access('/tmp/ex-thumbs',os.F_OK):
	os.mkdir('/tmp/ex-thumbs')
tool_list = {}
for file_name in sys.argv[1:]:
	f = open (file_name,"rb")
#	print "=============== Processing ",file_name.split('/')[-1]
	c = []
	for line in f:
		if line[0:8] == 'Data set':
#			print file_name.split('/')[-1],line.strip('\n')
			data_set_name = line.strip('\n')
		if line[0:8] == 'Carving ':
#			print file_name.split('/')[-1],line.strip('\n')
			target_name = line.strip('\n')
		if line.find('Results for:') != -1:
			x = line.strip('\n').split(';')
##			z = x[0].split(' ')
##			print len(x),"x=",x,"len z",len(z),"z=",z
##			if len(x) == 7:
##				v = x[0].split(' ')[2].split('_')
##				if len(v) == 2:
##					tool_name = x[0].split(' ')[2].split('_')[0] 
##					tool_version = x[0].split(' ')[2].split('_')[1] 
###					c.append(x[0].split(' ')[2].split('_')[0])
###					c.append(x[0].split(' ')[2].split('_')[1])
##				else:
##					tool_name = x[0].split(' ')[2]
##					tool_version = '?'
			z = line.strip('\n').split(':')[1].strip(' ').split('_')
			tool_name = z[0]
			if len(z) == 2:
				tool_version = z[1]
			else:
				tool_version = '?'
#				print "Tool name is",tool_name
			c.append(tool_name)
			c.append(tool_version)
			tool_list[tool_name] = {}
#				print "tool is: ",tool_name," Version: ",tool_version
		if line[0] == 'N':
			x = line.strip('\n').split(';')
#			print x
			if x[0] not in t:
				t.append(x[0])
			c.append(x[1].strip(' '))
#			tool_list[tool_name][x[0]] = x[1].strip(' ')
		elif line.find("Attribute") != -1:
			pass
		else:
			x = line.strip('\n').split(';')
			if len(x) == 2:
#				print "Update tool cnts:",tool_name,x[0],x[1]
				if x[0][0] != 'R':
					tool_list[tool_name][x[0]] = x[1].strip(' ')
					seen.add(x[0])
				

	f.close ()
	r.append(c)
#	print c
i = 0
#print '================='
#print len(t)
#print t
#print '================='
#print len(r)
#print r
#print '================='
#print '================='

print "Carving %s from %s"%(target_name.split(' ')[-1],data_set_name)

while  i < len(r[0]):
	print t[i],
#	for item in r:
#		print '------------------'
#		print len(item),item
	for item in r:
		if len(item) == 0: continue
		print ";%s"%(item[i]),
	print
	i += 1
#print "extentions seen:",seen,r[0][0]
#for tx in r:
#	print tx[0]," tool"
#for tool in tool_list:
#	for ext in tool_list[tool]:
#		print "%s [%s] [%s]"%(tool,ext,tool_list[tool][ext])
for ext in seen:
	print ext,
	for tx in r:
		txx = tx[0]
#		print "matrix: %s - %s"%(txx,ext)
		if ext in tool_list[txx]:
			print ";%s"%(tool_list[txx][ext]),
		else : print ";--",
	print
